#!/bin/sh
# /root/my-applications/bin/a1g8.1.sh
# with symlink at /root/Startup/a1g8.1.sh
#
# Purpose: Mount all vfat, ext*, and fdfs partitions by deduction
# -------- using BK's probepart and a /root/Startup script.
#
# Caution: probably only works on PuppyLinux, since probepart
# -------- is not present in all Linuxes.
#
# musher0, May 3rd, 2020. GPL2.
####
for type in vfat ext2 ext3 ext4 fdfs;do
# You may remove the types you do not wish to mount.
# E.g. if you wish to mount only the ext* filesystems,
# remove "vfat" and "fdfs" from the above line.
	probepart | grep $type | cut -d"|" -f 1 | cut -d"/" -f3 > /root/my-applications/list

	if [ "`wc -l < /root/my-applications/list`" -gt "0" ];then
	# This part kicks in only if file /root/my-applicatins/list
	# has at least one line in it.
		cd /mnt
		while read line;do
			[ -d /mnt/$line ] || mkdir /mnt/$line
			# This line creates mounting points as needed.
			sleep 0.2s # Doesn't work if process too fast.
			# So we slow it down a bit.
			mount -t $type /dev/$line /mnt/$line
			# Actual mounting of desired partitions.
		done < /root/my-applications/list
		cd - # Back to the directory we came from.
	fi
done
